conkyforecast (2.24) hardy; urgency=low

  * Bug fix: Amended the WU lang code list to include Spanish so locale=es now works also
  * Bug fix: fixed incorrect number of arguments error when using the script with datatypes directly (i.e. not through a template file)
  * Added alert message datatype (AM) to provide lengthy reports on alerts, The alert text datatype (AT) only details what the issue alerted on is.
    
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sun, 1 January 2012 19:15:00 +0000
 
conkyforecast (2.23) hardy; urgency=low

  * Fixed bugs due to eclipse pydev random pasting issues :(
  * Updated to handle windchill and heatindex for feels like temp output, if neither are there then feels like is the same as current temp (usually current conditions)
  * Added alerts output to the datatype options (use AT) with current conditions
  * Re-added sunrise, sunset and moon phase (SR, SS, DL, MP, MI) for current conditions
  * Re-added wind speed, gust, direction and bearing to forecasts
  * Added persisted cache folderpath to config file for use with past state of moon phase
  * Updated handling of location to be self.options based everywhere
  * Added support for WU lang code use in JSON retrieval, currently only supporting lang code options based on previously supported locale options, may open up to be pure lang code driven with no translations if this tests out okay.
    
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sat, 31 December 2011 16:00:00 +0000
 
conkyforecast (2.22) hardy; urgency=low

  * Changed WU keys in config, now have 3, one for each WU API mode (stratus, cumulus and anvil) for future requirements. Currently only the stratus api is used and the editing of any existing config file is required based on this new structure i.e. change WU_LICENCE_KEY to be WU_STRATUS_LICENCE_KEY
  * Added conkyForecastWU.pot translation template file and added all .po translation files with place holders for known weather text
  * Added BASE_WU_ICON_URL and ICON_SET options to the config, ICON_SET takes values 'a' through to 'i' to vary the icons retrieved
  * Applied rounding to nearest whole number for all numeric output
  * Applied proper case to condition text so translations work better (case sensitive!)
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sat, 23 December 2011 09:00:00 +0000
 
conkyforecast (2.21) hardy; urgency=low

  * Updated Dutch (nl) translation based on update from Mark Coumans
  * Added conkyForecastWU to the package, which may well superceed the existing default script
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sat, 26 November 2011 09:00:00 +0000

conkyforecast (2.20) hardy; urgency=low

  * Added verbose output when working with the weather map (WM) datatype due to issues in the past
  * Updated example and test folder contents
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Fri, 29 April 2011 10:00:00 +0000

conkyforecast (2.19) hardy; urgency=low

  * Bug fix: updated weather map (WM) regular expression used for image path extraction to work with new page format (quoted width and height)
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Wed, 23 March 2011 18:00:00 +0000
 
conkyforecast (2.18) hardy; urgency=low

  * Added conkyForecast-SunsetSunriseCountdown script, this uses the existing cache files for locations as created by the main script and provides a countdown to the nearest sunrise or sunset
  * Updated internal code for datetime formatting a little
  * Added timezone data to cache for use elsewhere
  * Updated example conkyrc file to include conkyForecast-SunsetSunrise usage
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 01 March 2011 18:30:00 +0000
 
conkyforecast (2.17) hardy; urgency=low

  * Bug fix: intermittent issue loading cache file (texec enables threaded calls, could these be the root cause?), temp fix in place to delete the cache file and refetch data on error.
  * Bug fix: AUTO_NIGHT was not operating correctly, now fixed to apply --night option on startday=0 if current time after 2pm but before 2am
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 01 March 2011 18:30:00 +0000
 
conkyforecast (2.16) hardy; urgency=low

  * Added --config option to the script to allow custom config file paths to be loaded, defaults to ~/.conkyForecast.config as per previous setting
  * Added DEFAULT_LOCATION entry to config, this is overridden by using --location / -l arguments, if not given the default is used. Please add a line "DEFAULT_LOCATION = UKXX0103" to your ~/ based config file (see the original package config file content for more help).
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 07 February 2011 18:30:00 +0000

conkyforecast (2.15) hardy; urgency=low

  * Updated the French (fr) locale (Thanks pierfu)
  * Added Simplified Chinese (zh) locale (thanks Morsa/Aether.com)
  * Added Swedish (sv) locale (With limited translations, awaiting Decca to edit)
  * Tidy up of locale content, now have the following country codes available as well as default english: bg,cs,de,es,fj,fr,it,lt,nl,pl,ro,sk,sv
  * Reload sys library and set setdefaultencoding to utf-8 on startup, works for me but we shall see...
  * Updated fog image to sit a little higher even if fog hugs the ground :)
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sun, 21 November 2010 12:30:00 +0000

conkyforecast (2.14) hardy; urgency=low

  * Updated the /usr/bin/ script to dynamically call the available python exec as /usr/bin/python is linked to Python 3 (Arch) or will be at some point (Ubuntu)
  * Updated weather map datatype (WM) to be fetched when not available in the cache and store it in the config based cache folder with filename based on location, rather than being hard coded to /tmp/ and being guid based  
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sun, 07 November 2010 11:30:00 +0000
 
conkyforecast (2.13) hardy; urgency=low

  * Updated the /usr/bin/ script to use the python2 sym link instead of python as Python 3 is either here (Arch) or coming (Ubuntu)
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 25 October 2010 20:30:00 +0000

conkyforecast (2.12) hardy; urgency=low

  * build fix, no changes
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sun, 15 August 2010 16:30:00 +0000

conkyforecast (2.11) hardy; urgency=low

  * Added proxy support, new config file entries exist (/usr/share/conkyForecast/conkyForecast.config updated), these are PROXY_HOST, PROXY_PORT,PROXY_USERNAME and PROXY_PASSWORD
  * Added handling of N/A output. A new AUTO_NIGHT config option is available, if true the script handles N/A output as best as can be done, by using the night option after 2pm, when the startday = 0.
  * Added --metrespersecond option, similar to the beaufort option except is outputs m/s for windspeed and windgusts
  
 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Wed, 21 July 2010 10:00:00 +0000
 
 conkyforecast (2.10) hardy; urgency=low

  * Updated --centeredwidth option to truncate from the right output text when bigger than the set size
  * Added WM (weather map) datatype functionality that retrieves a weather radar image of the area
  * Updated /usr/bin/ startup script to not used misused PYTHONPATH variable now
  * Added Lithuanian (lt) language translations, thanks enjoda

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Fri, 23 April 2010 12:20:00 +0000
 
conkyforecast (2.09) hardy; urgency=low

  * Updated WI, MI and BI datatype functionality to be in line with gtk-desktop-info. Now Bearing icons with wind strength will be displayed and calm wind will be output properly.
  * Replaced animated gif based images for variable wind with png images as conky doesn't support gif animations yet - Thanks Bruce M
  * Added remaining bearing icons needed for alternative strength winds (yellow, orange and red)

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Sun, 13 September 2009 14:44:00 +0000
 
conkyforecast (2.08) hardy; urgency=low

  * Added WI (Weather Icon Path), MI (Moon Icon Path) and BI (Bearing Icon Path) datatype options, to be used in conjunction with the new conky $image operator - Thanks Stepper
  * Added weather, moon and bearing icon images as used in gtk-desktop-info, for use with WI and MI datatypes
  * Updated Czech translations - Thanks Zelvuska

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Fri, 11 September 2009 14:24:00 +0000
 
conkyforecast (2.07) hardy; urgency=low

  * Fixed bug with default BASE_XOAP_URL no loading when nothing set in config

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Wed, 12 August 2009 19:54:00 +0000
 
conkyforecast (2.06) hardy; urgency=low

  * Updated Czech (cs) translation for the forecast plugin - thanks Zelvuska
  * Moved base url setting for the forecast plugin into the config file, with default in code

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 10 August 2009 20:54:00 +0000

conkyforecast (2.05) hardy; urgency=low

  * Added German (de) translation to the locales - thanks Markus Pfitzner
  * Added Slovak (sk) translation to the locales - thanks MPavel
  * Updated error handling for website/caching issues

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Fri, 17 July 2009 16:50:00 +0000

conkyforecast (2.04) intrepid; urgency=low

  * Updated Dutch (nl) translation
  * General updated of translation .pot/.po/.mo files to include moon phase where it wasn't present (only english to english for now)
  * Made CT datatype behave like CC to make sure full translation occurs
  * Fixed error handling in forecast plugin for maximum forecast threshold error reporting

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Thu, 12 January 2008 19:50:00 +0000

conkyforecast (2.03) intrepid; urgency=low

  * Added Polish (pl) and Italian (it) translations
  * Updated Romanian (ro) and Spanish (es) translations
  * Updated .pot file to fix typo with moon phase

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 20 January 2008 19:50:00 +0000

conkyforecast (2.02) intrepid; urgency=low

  * Added dutch translation files
  * Updated translation code to fallback to english if no translation found for locale requested
  * Added unused text arrays to aid the translation process, all translatable text will now be picked up by pygettext - thanks foppeh
  * Updated conkyForecast.pot file, for future translation use.

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 17 November 2008 17:50:00 +0000

conkyforecast (2.01) intrepid; urgency=low

  * Added --errorlog and --infolog options to log data to a file, and removed unnecessary --enableerrors option
  * Refactored and tidied up
  * Updated README

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 10 November 2008 19:50:00 +0000

conkyforecast (2.00) intrepid; urgency=low

  * Updated for Intrepid, new version at 2.00

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 02 November 2008 15:50:00 +0000

conkyforecast (1.19) hardy; urgency=low

  * Updated daylight output to always provide correct output, now using delta.seconds -> hours/minutes string

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 26 October 2008 09:55:00 +0100

conkyforecast (1.18) hardy; urgency=low

  * Updated to load template file in unicode mode, so we can work with all characters
  * Template options default to command line ones, and get overriden if set in the template
  * location is now setup-able in the template, allowing multiple location output within one exec - thanks Nite
  * Updated test template to use the correct brackets

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 07 October 2008 18:50:00 +0100

conkyforecast (1.17) hardy; urgency=low

  * Updated script to now use "[" and "]" as template brackets rather than "{" and "}" so that the execp/execpi conky command can be used, this enables the use of $font, $color, $goto, $offset and $voffset options in the template which conky will then make adjustments for in the output!
  * Added DL (Daylight) datatype which returns the difference in hours and minutes between sunrise and sunset
  * Updated example files to use new template functionality with execpi in conky, as well as standard (no template) output
  * Updated README for usage changes

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 04 October 2008 11:50:00 +0100

conkyforecast (1.16) hardy; urgency=low

  * Added new BS datatype to output wind direction with strength, will require new ConkyWind fonts
  * Updated BF output to handle VAR and calm output
  * Updated Arrows font to output a space for VAR and calm output
  * Added new ConkyWind, ConkyWindN and ConkyWindNESW fonts to the package - thanks to Stancho and Nite
  * Updated example conkyrc and template to work and use ConkyWindNESW
  * Added fontforge sfd files for Arrows and ConkyWind fonts - thanks to Stancho and Nite
  * Added --centeredwidth option to output with spacing of designated width

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 28 September 2008 11:25:00 +0100

conkyforecast (1.15) hardy; urgency=low

  * Updated script to be python 2.4 compliant, this time for datetime conversions....hopefully

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 14 September 2008 19:25:00 +0100

conkyforecast (1.14) hardy; urgency=low

  * Updated /usr/bin shell script to handle whitespace in options
  * removed nl language file setup config as nothing has come yet
  * Updated script to be python 2.4 compliant, file open function not reliant on with operator now

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 14 September 2008 17:45:00 +0100

conkyforecast (1.13) hardy; urgency=low

  * Used regex to extract the datetime and timezone (if applicable) from the lastupdate text
  * VI (visibility) is now converted to miles if --imperial option used
  * Updated convert function to provide decimal place functionality and used for VI and BR output
  * Replaced weather.ttf with ConkyWeather.oft and updated WF output to suit, we now have day and night based font output! - thanks Stancho

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 04 September 2008 18:40:00 +0100

conkyforecast (1.12) hardy; urgency=low

  * Strip out local time from last update before converting datetime for output
  * Added version option to script which only outputs the version number of the script and exits

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 01 September 2008 00:00:00 +0100

conkyforecast (1.11) hardy; urgency=low

  * Fix to short weekday output when used in templates

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 01 September 2008 00:00:00 +0100
conkyforecast (1.10) hardy; urgency=low

  * Fix to LU datatype code
  * Added test conkyrc and template
  * Updated README

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 31 August 2008 19:10:00 +0100
conkyforecast (1.09) hardy; urgency=low

  * Updated to use cPickle library where available
  * Added KeyError exception handler to getOutputText(), in case an unexpected word appears in the weather xml and is used as index to WeatherText dictionary (like a Wind Bearing text is used as an index for Bearing Font)
  * Added a "VAR" key to the Bearing Font dictionary in WeatherText
  * Fixed mixed up current and feels_like temp in current conditions

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 31 August 2008 17:30:00 +0100
conkyforecast (1.08) hardy; urgency=low

  * Moved all cached data into one pickled class per location, cache location set by CACHE_FOLDERPATH
  * Changed DATETIME_FORMAT config option to DATE_FORMAT, which is used only for formatting dates.
  * Added datatype LF (Last Fetch) - Displays date and time of the last fetching of weather data from the server
  * Added datatype WA (Wind Angle) - Displays wind direction as a number (bearing)
  * Added datatype OB (Observatory) - Displays the name of the observatory from which the weather data for given location originate.
  * Added datatype VI (Visibility) - Displays visibility. As of now, only metric units are supported...
  * Added datatype CO (Country) - Displays the country for the location code used
  * Updated datatype CN (City Name), now only displays the city name, country displayed in own datatype CO
  * Updated datatype BR (barametric reading) to output to 2 decimal places for --imperial (inches) option
  * Added new option --minuteshide, which hides certain parts of the timestamp if it is "recent enough" (not older than the minutes specified)
  * Template parsing was rewritten from scratch and should now be a bit more effective and handle any kind of syntax error gracefully
  * Removed dependancy to ttf-liberation and changed example to use standard mono font

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 31 August 2008 14:45:00 +0100
conkyforecast (1.07) hardy; urgency=low

  * Added dependancy to ttf-liberation and removed excess fonts

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 20 August 2008 11:45:00 +0100
conkyforecast (1.06) hardy; urgency=low

  * Updated translation data for Romanian for the wind speed term "calm"

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 20 August 2008 11:45:00 +0100

conkyforecast (1.05) hardy; urgency=low

  * Added translation data for Romanian - thanks for the contribution vasilub1
  * updated README

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 20 August 2008 11:45:00 +0100
conkyforecast (1.04) hardy; urgency=low

  * Updated all language po files to accomodate new bearing text and wind speed texts for script
  * Updated last update datatype to be based on last update datetime from feed not cached file
  * Configured script to use a ~/ based config file called .conkyForecast.config and updated README

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 20 August 2008 11:45:00 +0100
conkyforecast (1.03) hardy; urgency=low

  * Updated README doc to include help on config settings and template files. ALso added a gotchas section.
  * Updated conditions_text to match xoap sdk and updated translation options in code
  * Updated all language po files to accomodate new conditions text in script

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Tue, 19 August 2008 15:10:00 +0100
conkyforecast (1.02) hardy; urgency=low

  * Added README doc for general help
  * Added example conkyrc and template file, demonstrating most of the functionality
  * Added fonts required for mono output, weather images, arrows and open logos . They are used in the example.

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 18 August 2008 23:33:00 +0100
conkyforecast (1.01) hardy; urgency=low

  * Corrected minor issue with package

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 18 August 2008 23:33:00 +0100
conkyforecast (1.00) hardy; urgency=low

  * Created first released code package

 -- Mark Buck (Kaivalagi) <m_buck@hotmail.com>  Mon, 18 August 2008 17:33:00 +0100
